Bug 867044 - [abrt] calibre-0.8.33-2.fc16: comments_editor.py:15:<module>:ImportError: libQtWebKit.so.4: cannot open shared object file: No such file or directory
[abrt] calibre-0.8.33-2.fc16: comments_editor.py:15:<module>:ImportError: lib...
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-16 11:40 EDT by E.N.
Modified: 2013-03-20 06:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 20:48:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: event_log (97 bytes, text/plain)
2012-10-16 11:40 EDT, E.N.
no flags Details
File: calibre.log (9.06 KB, text/plain)
2012-10-16 11:40 EDT, E.N.
no flags Details
File: backtrace (8.67 KB, text/plain)
2012-10-16 11:40 EDT, E.N.
no flags Details

  None (edit)
Description E.N. 2012-10-16 11:40:17 EDT
Description of problem:
Sorry for the bad English, I'm a French speaking. The problem occured after upgrading from Fedora 16 to 17, and I have any description.

Version-Release number of selected component:

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre /home/macfish/Documents/java/java__the_complete_reference.epub
kernel:         3.4.4-4.fc16.x86_64
Comment 1 E.N. 2012-10-16 11:40:20 EDT
Created attachment 628229 [details]
File: event_log
Comment 2 E.N. 2012-10-16 11:40:25 EDT
Created attachment 628230 [details]
File: calibre.log
Comment 3 E.N. 2012-10-16 11:40:29 EDT
Created attachment 628231 [details]
File: backtrace
Comment 4 Kevin Fenzi 2012-10-16 11:56:46 EDT
You are on Fedora 17 now? 

what does: 

yum update calibre


how about 'rpm -q qtwebkit' ?
Comment 5 Fedora End Of Life 2013-01-16 18:24:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Fedora End Of Life 2013-02-13 20:48:22 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 E.N. 2013-03-20 06:34:59 EDT
Good morning Fenzi,

Sorry for my late answer. Yes, it's quite so "long" I'm on Fedora 17, the bug was "auto-fixed" when I updated Calibre using the method showed on the official website, i.e.

sudo python -c "import sys; py3 = sys.version_info[0] > 2; u = __import__('urllib.request' if py3 else 'urllib', fromlist=1); exec(u.urlopen('http://status.calibre-ebook.com/linux_installer').read()); main()"

(see http://calibre-ebook.com/download_linux)

But, when I try to update Calibre using yum, there still be an error. By the way, on my Ubuntu installation, I use another software which is launched by Python too, and when I manage to install it on Fedora it bugs. I contacted the project maintainer and he couldn't reproduce the bug; he thinks it's a problem in Fedora Python packages. The software can be found here : http://sourceforge.net/projects/impressive/

So, hoping this could help, thank you so much for your time and patience.

Note You need to log in before you can comment on or make changes to this bug.